NotarySpec
Keywords: net.corda.testing.node.NotarySpec class
Date: 2023-09-18

net.corda.testing.node

## Class NotarySpec

- net.corda.testing.node.NotarySpec

-     public class NotarySpec

  A notary spec for describing a notary which will be started automatically by the driver and which will be part of the network parameters used by all the nodes.

- - ### Constructor Detail

    - #### NotarySpec

          public NotarySpec(@NotNull
                            CordaX500Name name,
                            boolean validating,
                            @NotNull
                            java.util.List<net.corda.testing.node.User> rpcUsers,
                            @NotNull
                            VerifierType verifierType,
                            @Nullable
                            ClusterSpec cluster,
                            boolean startInProcess)

      A notary spec for describing a notary which will be started automatically by the driver and which will be part of the network parameters used by all the nodes.

      Parameters:
        `name` - The name of the notary. If this is a notary cluster then each node member will be assigned a name based on this name.
        `validating` - Boolean for whether the notary is validating or non-validating.
        `rpcUsers` - A list of users able to instigate RPC for this node or cluster of nodes.
        `verifierType` - How the notary will verify transactions.
        `cluster` - `class ClusterSpec` if this is a distributed cluster notary. If null then this is a single-node notary.
        `startInProcess` - Should the notary be started in process.

    - #### NotarySpec

          public NotarySpec(@NotNull
                            CordaX500Name name,
                            boolean validating,
                            @NotNull
                            java.util.List<net.corda.testing.node.User> rpcUsers,
                            @NotNull
                            VerifierType verifierType,
                            @Nullable
                            ClusterSpec cluster)

    - #### NotarySpec

          public NotarySpec(@NotNull
                            CordaX500Name name,
                            boolean validating,
                            @NotNull
                            java.util.List<net.corda.testing.node.User> rpcUsers,
                            @NotNull
                            VerifierType verifierType,
                            @Nullable
                            ClusterSpec cluster,
                            @NotNull
                            java.lang.String maximumHeapSize)

    - #### NotarySpec

          public NotarySpec(@NotNull
                            CordaX500Name name,
                            boolean validating,
                            @NotNull
                            java.util.List<net.corda.testing.node.User> rpcUsers,
                            @NotNull
                            VerifierType verifierType,
                            @Nullable
                            ClusterSpec cluster,
                            @NotNull
                            java.lang.String maximumHeapSize,
                            boolean startInProcess)

  - ### Method Detail

    - #### copy

          @NotNull
          public NotarySpec copy(@NotNull
                                          CordaX500Name name,
                                          boolean validating,
                                          @NotNull
                                          java.util.List<net.corda.testing.node.User> rpcUsers,
                                          @NotNull
                                          VerifierType verifierType,
                                          @Nullable
                                          ClusterSpec cluster)

    - #### getMaximumHeapSize

          @NotNull
          public java.lang.String getMaximumHeapSize()

    - #### setMaximumHeapSize

          public void setMaximumHeapSize(@NotNull
                                         java.lang.String p)

    - #### getName

          @NotNull
          public CordaX500Name getName()

      The name of the notary.

      If this is a notary cluster then each node member will be assigned a name based on this name.

    - #### getValidating

          public boolean getValidating()

      Boolean for whether the notary is validating or non-validating.

    - #### getRpcUsers

          @NotNull
          public java.util.List<net.corda.testing.node.User> getRpcUsers()

      A list of users able to instigate RPC for this node or cluster of nodes.

    - #### getVerifierType

          @NotNull
          public VerifierType getVerifierType()

      How the notary will verify transactions.

    - #### getCluster

          @Nullable
          public ClusterSpec getCluster()

      `class ClusterSpec`

      if this is a distributed cluster notary. If null then this is a single-node notary.

      See Also:
        `class ClusterSpec`

    - #### getStartInProcess

          public boolean getStartInProcess()

      Should the notary be started in process.

    - #### component1

          @NotNull
          public CordaX500Name component1()

      The name of the notary.

      If this is a notary cluster then each node member will be assigned a name based on this name.

    - #### component2

          public boolean component2()

      Boolean for whether the notary is validating or non-validating.

    - #### component3

          @NotNull
          public java.util.List<net.corda.testing.node.User> component3()

      A list of users able to instigate RPC for this node or cluster of nodes.

    - #### component4

          @NotNull
          public VerifierType component4()

      How the notary will verify transactions.

    - #### component5

          @Nullable
          public ClusterSpec component5()

      `class ClusterSpec`

      if this is a distributed cluster notary. If null then this is a single-node notary.

      See Also:
        `class ClusterSpec`

    - #### component6

          public boolean component6()

      Should the notary be started in process.

    - #### copy

          @NotNull
          public NotarySpec copy(@NotNull
                                          CordaX500Name name,
                                          boolean validating,
                                          @NotNull
                                          java.util.List<net.corda.testing.node.User> rpcUsers,
                                          @NotNull
                                          VerifierType verifierType,
                                          @Nullable
                                          ClusterSpec cluster,
                                          boolean startInProcess)

      A notary spec for describing a notary which will be started automatically by the driver and which will be part of the network parameters used by all the nodes.

    - #### toString

          @NotNull
          public java.lang.String toString()

      A notary spec for describing a notary which will be started automatically by the driver and which will be part of the network parameters used by all the nodes.

    - #### hashCode

          public int hashCode()

      A notary spec for describing a notary which will be started automatically by the driver and which will be part of the network parameters used by all the nodes.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A notary spec for describing a notary which will be started automatically by the driver and which will be part of the network parameters used by all the nodes.